+ Post New Thread
Page 358 of 648 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 16195

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 94,725
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 77,070
    18th Sep 2006 10:46 pm Go to last post
  1. (vl-load-com) not loading in acad 2010

    Hi I have just starting using acad 2010 (from acad 2007) for some reason I get the message ; error: no function definition: VLAX-GET-ACAD-OBJECT when I try my code with vl functions. In...

    Started by Small Fish‎, 21st Jan 2010 03:21 am
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 15,803
    29th Jun 2011 01:28 pm Go to last post
  2. Convert annotative blocks to normal blocks

    I have some annotative blocks, Can you help me, convert annotative blocks to normal blocks. Thank you very much

    Started by vnanhvu‎, 28th Jun 2011 04:19 am
    • Replies: 5
    • Views: 7,406
    29th Jun 2011 10:09 am Go to last post
  3. Not able to filter the circle

    Hello Guys, I am not much familiar with if and cond fun. I am trying to write simple routine which will filter all the circles under 1 inch and change them to different layer. if no circles under...

    Started by andy_gs‎, 24th Jun 2011 08:18 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 3,703
    28th Jun 2011 05:06 pm Go to last post
  4. swap values of layer name and layer description

    Hi, I am working in an international firm, we have a layer structure where the layer name is in the local language and the layer description is the layer name in english. Does anyone know of a...

    Started by feargt‎, 28th Jun 2011 09:55 am
    2 Pages
    1 2
    • Replies: 13
    • Views: 4,557
    28th Jun 2011 04:55 pm Go to last post
  5. Using entmake as insert?

    Hey I'm a completely nub AutoCAD/Lisp user.. So I'm trying to make a menu that will load premade .dwg files with simple user specifications like scale and rotation. I know that _insert will do the...

    Started by Potyatomic‎, 21st Jun 2011 10:21 am
    4 Pages
    1 2 3 ... 4
    • Replies: 39
    • Views: 11,706
    28th Jun 2011 03:44 pm Go to last post
  6. Read autocad file

    Hi All, I just want to read the list of layers of an autocad file with out open it. Is this possible with lisp? Thanks, Kumar.

    Started by giskumar‎, 23rd Jun 2011 12:40 pm
    • Replies: 9
    • Views: 5,312
    28th Jun 2011 04:57 am Go to last post
  7. Offset to different distance

    Hi all, I'm looking for a automatisation for multi offset. I have a polyline and i have to offset this polyline to multi distance... For exemple : an offset to 20 than an offset to 35 and than...

    Started by Tetsuo‎, 27th Jun 2011 09:12 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 5,279
    28th Jun 2011 04:07 am Go to last post
  8. .LSP File for Auto-Numbering?

    Hello everyone, I'm new to the forum. At work here, we're creating thousands of parcels based on information from a county. For each city block, we have to enter a consecutive block number, and...

    Started by diggity0169‎, 23rd Jun 2011 12:21 am
    .lsp, auto numbering, lsp, numbering
    • Replies: 6
    • Views: 11,273
    27th Jun 2011 11:07 pm Go to last post
  9. lisp to select all hatch then calculate total area

    Hello,:oops: My coworker found this lisp and it doesn't appear to be working correctly. I honestly still don't know enough about lisp to figure it out. As the title says it should select all of the...

    Started by SWfangirl‎, 27th Jun 2011 08:00 pm
    2 Pages
    1 2
    • Replies: 19
    • Views: 24,599
    27th Jun 2011 10:00 pm Go to last post
  10. Question Getting rid of text formatting of mtext

    I want to iterate through the mtexts of a given drawing and export them to Excel.suppose that there is an mtext in the drawing named mtextobj in which "sample" is written in the first line and "note"...

    Started by arman88‎, 2nd Mar 2008 01:20 pm
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 22,275
    27th Jun 2011 12:06 pm Go to last post
  11. Alter behaviour of "measure" command

    Hey guys... You know how when using the measure command to place objects along a line, it starts at whatever interval you've asked for and goes down the line till it runs out of room. You always...

    Started by Jack_O'neill‎, 26th Jun 2011 05:09 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 4,280
    27th Jun 2011 06:57 am Go to last post
  12. need help with field

    how can I auto update the field value (base on fieldeval) for SNUM and STITLE on my drawing plot sheet without running the code each time I set up a new plot sheet. File would be "A.1.1 FIRST FLOOR...

    Started by LISP2LEARN‎, 26th Jun 2011 05:18 am
    • Replies: 5
    • Views: 2,713
    26th Jun 2011 06:55 pm Go to last post
  13. Close all without save

    This is Tharwat's Lisp (Defun c: Kiểm tra () (command "_.close" "_Y") (princ)). But only with one drawing. Tharwat or someone can develope it more, for close all without save drawing. Thanks for...

    Started by vnanhvu‎, 26th Jun 2011 04:13 pm
    • Replies: 3
    • Views: 5,186
    26th Jun 2011 04:52 pm Go to last post
  14. Question Viewport Checker

    Gents, I'm sure ive seen this somewhere, a viewport checker? In short, i'm working with muli-sheet dwg's (new to me) and ending up with between 25 - 150 per dwg. The process we're using to...

    Started by Mostly Nice‎, 23rd Jun 2011 04:29 pm
    • Replies: 9
    • Views: 6,285
    24th Jun 2011 06:39 pm Go to last post
  15. How to get properies and methods

    Hello everyone . I wonder how to get the properties of Layers, Layouts , Dimension Style and document etc .... ........ which are not being available to be selected by the use of function...

    Started by Tharwat‎, 23rd Jun 2011 09:38 pm
    • Replies: 9
    • Views: 2,443
    24th Jun 2011 03:37 pm Go to last post
  16. Plot paper sizes in lisp routine

    I've created a very basic lisp routine to run which automates us issuing drawings (Binding x-refs, removing draft stamp, etc). The only issue I'm having is getting it to automatiaclly PDF correctly....

    Started by blaws‎, 21st Jun 2011 11:59 am
    • Replies: 6
    • Views: 9,706
    24th Jun 2011 04:02 am Go to last post
  17. slope lisp needed

    What I am looking for is a lisp that if I use the alias (hc) that then it will prompt me to pick a block on my drawing, then prompt for slope to be used (ie. -1/8" per foot, +1/8 per foot or what...

    Started by NH3man!‎, 17th May 2009 04:03 pm
    8 Pages
    1 2 3 ... 8
    • Replies: 70
    • Views: 21,656
    23rd Jun 2011 07:17 pm Go to last post
  18. Question How to distinguish a read only drawing without opening it?

    Hi everyone, how is it possible to find out any drawing is read only due to being opened by other one, without opening it?

    Started by Ahankhah‎, 22nd Jun 2011 09:26 am
    4 Pages
    1 2 3 ... 4
    drawing, open, read only, visual lisp
    • Replies: 35
    • Views: 13,445
    23rd Jun 2011 03:56 pm Go to last post
  19. Help troubleshooting Autolisp that pulls text from drawing

    I am having trouble with the part of the program that is meant to convert the mtext and the attributes so that it can be output as text to the file. If someone would be willing to help me...

    Started by meissnerb‎, 23rd Jun 2011 03:50 pm
    • Replies: 0
    • Views: 1,211
    23rd Jun 2011 03:50 pm Go to last post
  20. Repeat Loop

    Hi All, I am trying to write a program to loop the insertion of a block untill I press escape. I wrote the code like shown below, but for some reason it stops after the first insertion of the block....

    Started by harilalmn‎, 22nd Jun 2011 08:44 am
    • Replies: 6
    • Views: 2,650
    23rd Jun 2011 05:08 am Go to last post
  21. Redraw polylines

    (defun c:redrawpl () (setq sset (ssget "x" '(0 . "lwpolyline") (cons 67 (logand (1+ (getvar "TILEMODE"))1)) )) (setq ctr 0) (repeat (sslength sset) (setq item (ssname sset ctr)) ...

    Started by ahyin‎, 21st Jun 2011 09:08 am
    • Replies: 6
    • Views: 1,871
    22nd Jun 2011 10:34 am Go to last post
  22. Move all objects closer to origin in multiple drawings?

    Hi All, I am working on a project were we have about 70-100 drawings were all object are required to move closer to origin (0.00,0.00). The reason for this is apparently that 3D Studio Max does...

    Started by Sam Pawar‎, 21st Jun 2011 12:50 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 6,919
    22nd Jun 2011 03:57 am Go to last post
  23. Plotting Routine - Allow word with spaces for text entry for paper size??

    I've got a drawing with 30+ tabs all set to some non existent printer. Someone here once helped me piece the following code together but It bombing out when it gets to this piece of text, which is...

    Started by ILoveMadoka‎, 21st Jun 2011 01:05 pm
    • Replies: 1
    • Views: 1,312
    21st Jun 2011 01:09 pm Go to last post
  24. Drawing Divide a polyline at equal intervals and extract coordinates in excel

    Dear cadtutors, is there any lisp to do the following. divide polylines into equal intervals and add vertex to ploylines and label the vertex and extract the coordinates to excel. my...

    Started by symoin‎, 16th Apr 2011 10:08 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 14,963
    21st Jun 2011 09:10 am Go to last post
  25. ttr method

    i have two circles . i can draw circle using ttr method. (setq p1'(0 0 0)) (command "circle" p1 5) (setq p100 '(-10.2706 8.2595 )) (command "circle" p100 3)

    Started by kalai‎, 18th Jun 2011 10:53 am
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 9,551
    21st Jun 2011 08:32 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts